Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
keys
List Access Keys
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/keys \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "count": 1,
    "keys": [
      {
        "id": "ak_da8f1c10-346a-4be8-895a-b6187a9a9662",
        "token": "ak_tok_fede37a6",
        "key_id": "key_live_e111f1c10",
        "aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
        "is_active": true,
        "name": "Primary Production Key",
        "secret": "sk_live_uMPN7cX2b1",
        "created_at": "2025-05-19T11:19:12.000Z",
        "updated_at": "2025-06-25T12:29:14.000Z"
      }
    ]
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

limit
integer
default:10

Maximum number of records to return in the current page

Required range: 0 <= x <= 100
Example:

10

offset
integer
default:0

Number of records to skip before collecting the result set

Required range: x >= 0
Example:

0

names
string

Filter keys by a comma-separated list of name fragments

Example:

"Primary Key,Backup Key"

is_active
enum<string>

Filter keys by active status using true or false

Available options:
true,
false
Example:

true

Response

This response contains a paginated list of access keys linked to an aggregator

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Paginated collection of access keys